# Учебный хостинг

У нас есть свой *учебный хостинг*, на котором вы экспериментировали с **git**.

Для того, что бы разместить php код на нём, вы можете создать у себя в домашней директории папку `public_html` используя **ssh**:

```shell
username@helium ~ $ mkdir ~/public_html # создаем папку
username@helium ~ $ cd ~/public_html    # заходим в неё
username@helium ~/public_html $ mkdir project       # создаем папку проекта, имя поддомена
username@helium ~/public_html $ cd project          # заходим в папку project
username@helium ~/public_html/project $ echo "<?php phpinfo(); " > php_tst.php # создаем файл php_tst.php
```

После этого ваш файл доступен через Интернет по адресу [http://project.username.php.a-level.com.ua/php_tst.php](http://project.username.php.a-level.com.ua/php_tst.php),
**где**:

- `project` - имя папки в `public_html`, вы можете назвать её по-другому, например `twig`
- `username` - имя вашего пользователя **ssh**.

Для закачки файлов вы можете пользоваться **sshfs**, **ftp** с тем же логином и паролем что и на **ssh** или **git** из вашего репозитария из **shell**
(ssh)

## yii

Корень сайта в Yii2 обычно в basic/web или другой поддиректории. Для того, что бы обойти это ограничение, сделайте **симлинк**, т. е. ссылку на папку basic/web:
```bash
cd ~/public_html
ln -sf yii2/basic/web y
```

Таким образом один и тот же Yii проект будет доступен по yii2.username.php.a-level.com.ua/basic/web и по адресу y.username.php.a-level.com.ua

## Laravel

Тоже самое, только Document Root (корень сайта на диске) находится в папке /public проекта. Посему:

```bash
cd ~/public_html
ln -sf <папка с ларой>/public <имя проекта>
```

И тогда у вас заработает <имя проекта>.<имя пользователя>.php.a-level.com.ua. 

## HTTPS

Пишите в телеграм. Понадобится точное полное имя домена, так как сертификат выдается на домен (-ы).

## Примеры:

http://phptest.asmer.php.a-level.com.ua/phphell.php. Этот файл (`phphell.php`) лежит у пользователя `asmer` в папке `~/public_html/phptest`.
